// Author: INRP/Creator: Mappetizer  8.3.4 for ArcGIS by uismedia (http://www.mappetizer.de); 30/11/2010 22:56:44
dojo.require("dijit.TitlePane");
dojo.require("dojo.parser");
dojo.require("dijit.layout.BorderContainer");
dojo.require("dijit.layout.ContentPane");
dojo.require("dijit.layout.TabContainer");
dojo.require("dijit.form.Button");
dojo.require("dijit.Toolbar");

dojo.addOnLoad(function() {
  //Do not delete or change this function
  var leg = mv_embedSVGNode(dojo.doc,"MVlegendDoc","480px","809px","embfiles/legend.svg");
  dojo.byId("MVlegend").appendChild(leg);

  var map = mv_embedSVGNode(dojo.doc,"MVmapDoc","548px","498px","embfiles/map.svg");
  dojo.byId("MVmap").appendChild(map);

  if (dojo.isIE) {
    checkAndGetSVGViewer();
  }
  // Add functions to toolbar
  dojo.connect(dojo.byId("MVtoolbar.zoomin"),"onclick",mv_zoomInTool);
  dojo.connect(dojo.byId("MVtoolbar.zoomout"),"onclick",mv_zoomOutTool);
  dojo.connect(dojo.byId("MVtoolbar.pan"),"onclick",mv_panTool);
  dojo.connect(dojo.byId("MVtoolbar.fullextent"),"onclick",mv_fullExtent);
  dojo.connect(dojo.byId("MVtoolbar.previousextent"),"onclick",mv_zoomPreviousExtentTool);
  dojo.connect(dojo.byId("MVtoolbar.nextextent"),"onclick",mv_zoomNextExtentTool);
  dojo.connect(dojo.byId("MVtoolbar.identify"),"onclick",mv_identifyTool);
  dojo.connect(dojo.byId("MVtoolbar.koord"),"onclick",mv_coordinateTool);
  dojo.connect(dojo.byId("MVtoolbar.measure"),"onclick",mv_measureTool);
  dojo.connect(dojo.byId("MVtoolbar.print"),"onclick",mv_print);
  dojo.connect(dojo.byId("MVtoolbar.help"),"onclick",mv_showHelp);
  dojo.connect(dojo.byId("MVmeasureToolbar.line"),"onclick",mv_measureLineTool);
  dojo.connect(dojo.byId("MVmeasureToolbar.area"),"onclick",mv_measureAreaTool);
  dojo.connect(dojo.byId("MVmeasureToolbar.sum"),"onclick",mv_measureSumTool);
  dojo.connect(dojo.byId("MVmeasureToolbar.clear"),"onclick",mv_measureClearTool);
  dojo.connect(dojo.byId("body"),"onresize",mv_resizeMap);

  mv_checkLoaded();
});

function mv_DocSettings() {
  //Do not delete or change this function;
  mv_Doc.userSettings("beige","tan","red","yellow","#EDEDCC",true,true);
  mv_Doc.txtIESupport = "Ce site a besoin d'Adobe SVG Viewer 3.0 (Plug-In gratuit)\n(http://www.adobe.com/svg/viewer/install/main.html).";
  mv_Doc.CheckStatus = "a08uMD7";
}

function mv_MapSettings() {
  //Do not delete or change this function;
  new MV.Layer("th0",true,false,false,true,false,"FeatureLayer","");
  new MV.Layer("th1",true,false,false,true,false,"FeatureLayer","");
  new MV.Layer("th2",true,false,false,true,false,"FeatureLayer","");
  new MV.Layer("th3",true,false,false,true,false,"FeatureLayer","");
  new MV.Layer("th4",true,false,false,true,false,"FeatureLayer","");
  new MV.Layer("th5",true,false,false,true,false,"FeatureLayer","");
  new MV.Layer("th6",true,false,false,true,false,"FeatureLayer","");
  new MV.Layer("th7",true,true,true,true,false,"GroupLayer","");
  new MV.Layer("th7-0",true,true,true,true,false,"WMSLayer","http://geoservices.brgm.fr/geologie?VERSION=1.1.1&REQUEST=GetMap&LAYERS=SCAN_H_RELIEF_GEOL50_SCAN&STYLES=&SRS=EPSG:2154&FORMAT=image/png&TRANSPARENT=TRUE");
  new MV.Layer("th8",true,false,false,true,false,"GroupLayer","");
  new MV.Layer("th8-0",true,false,false,true,false,"WMSLayer","http://www.geosignal.org/cgi-bin/wmsmap?VERSION=1.1.1&REQUEST=GetMap&LAYERS=RASTER5k&STYLES=&SRS=EPSG:2154&FORMAT=image/png&TRANSPARENT=TRUE");
  new MV.Layer("th8-1",true,false,false,true,false,"WMSLayer","http://www.geosignal.org/cgi-bin/wmsmap?VERSION=1.1.1&REQUEST=GetMap&LAYERS=RASTER25k&STYLES=&SRS=EPSG:2154&FORMAT=image/png&TRANSPARENT=TRUE");
  new MV.Layer("th8-2",true,false,false,true,false,"WMSLayer","http://www.geosignal.org/cgi-bin/wmsmap?VERSION=1.1.1&REQUEST=GetMap&LAYERS=RASTER50k&STYLES=&SRS=EPSG:2154&FORMAT=image/png&TRANSPARENT=TRUE");
  new MV.Layer("th8-3",true,false,false,true,false,"WMSLayer","http://www.geosignal.org/cgi-bin/wmsmap?VERSION=1.1.1&REQUEST=GetMap&LAYERS=RASTER100k&STYLES=&SRS=EPSG:2154&FORMAT=image/png&TRANSPARENT=TRUE");
  new MV.Layer("th8-4",true,false,false,true,false,"WMSLayer","http://www.geosignal.org/cgi-bin/wmsmap?VERSION=1.1.1&REQUEST=GetMap&LAYERS=RASTER250k&STYLES=&SRS=EPSG:2154&FORMAT=image/png&TRANSPARENT=TRUE");
  mv_Map.userSettings(581691,6798340,47.6472727272727,0,true,3393,"");
}

function mv_initializeLegend() {
  //Do not delete or change this function;
}

function mv_initializeShareGeomLegend() {
  //Do not delete or change this function;
}

function mv_ScalebarSettings() {
  //Do not delete or change this function;
  mv_Scalebar.userSettings(2,105,5000);
}

function mv_initializeSettings() {
  //Do not delete or change this function;
  mv_Doc.Toolbars = new MV.List();
  mv_declareClassToolbar();
  mv_createToolbar();
  dojo.byId("MVtoolbar.identify").click();
  mv_declareClassMeasure();
  mv_Measure = new MV.Measure();
  mv_Measure.userSettings("Distance","Primtre","L'aire","Total","m","m",1,2);
}

function mv_initializeSettings2() {
 //Do not delete or change this function;
}


function mv_showHelp() {
  var theWin = window.open("embfiles/help.html","MVHelp", "width=475,height=600,top=50,left=50,toolbar=no,menubar=no,location=no,hotkeys=no,resizable=yes,scrollbars=yes,dependent=yes,status=no");
  theWin.focus();
}


function mv_userInit() {
//This function is for your own scripts, it will be called on loading, do not delete it
//  mv_alert("function mv_userInit()");
}

function mv_userMVDocToolbar(objButton) {
//This function is for your own toolbar buttons, do not delete it
//  switch(objButton.id) {
//      case "MVtoolbar.mybutton":
//          objButton.Function = "testFunc('hier',2)";
//          objButton.State = 1;  //this button is a radio button
//          break;
//  }
}

